BackendHTTP APIFunctions
Get a function's source code
Requires an API key with the environment:functions:read scope. Learn more about API key scopes.
Returns the TypeScript source code of a function for a given integration.
GET
Returns the TypeScript source code of a function for a given integration. Requires an API key with the environment:functions:read scope.
bearerAuthheader
AuthorizationBearer <token>An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.
uniqueKey*stringThe integration ID (unique_key) that you created in Tenklo.
name*stringThe name of the function.
type?stringThe function type. Required to disambiguate when multiple functions share the same name.
Value in
"sync""action""on-event"Successfully returned the function source code
application/json- response
type*stringThe function type.
Value in
"sync""action""on-event"code*stringThe TypeScript source code of the function.
curl -X GET 'https://api.tenklo.dev/integrations/string/functions/string/code'Example Response
{ "type": "sync", "code": "string"}